MODULE common
  IMPLICIT NONE
!
!--- Œϐ
  INTEGER, PARAMETER:: p=SELECTED_REAL_KIND(15)
  INTEGER, PARAMETER:: n_node_es=3, n_int_es=2
  INTEGER, PARAMETER:: max_m=100, max_n=100, max_e=100, max_d=100, max_p=100, max_iter=20
  REAL(p), PARAMETER:: zero=1.0e-15
!
!--- {JE^[ϐ
  INTEGER, SAVE:: istep, iiter, ielem, iintp
!
!--- ͕ϐ
  INTEGER, SAVE:: n_mat, n_node, n_elem, n_bcs, n_nload, n_step, reflag
  REAL(p), SAVE:: inbody, er_tol
!
!--- ͕ϐ
  INTEGER, SAVE:: type_estr_m(max_m), n_prop_base(max_m), n_prop_estr(max_m), &
    mat_e(max_e), node_e(max_e, n_node_es), bfc, bcs_n(max_n), lcs_n(max_n)
  REAL(p), SAVE:: prop_base_m(max_m, max_p), prop_estr_m(max_m, max_p), & 
    coord_n(max_n), nload_n(max_n)
!
!--- vZpϐ
  INTEGER, SAVE:: n_dof
  REAL(p), SAVE:: body, jac_i, lcoord_i, weight_i, &
    dnadzs_i(1:n_node_es), dnbdzs_i(1:n_node_es), &
    shapeas_i(1:n_node_es), &
    poro_i, voidr_i, dens_mix_i, dens_mix0_i, &
    sts_i, stn_i, del_stn_i, dep_i, iso_hp_i
!
!--- vZpϐ
  INTEGER, SAVE:: dof_ns(max_n)
  REAL(p), SAVE:: gtmat(max_d,max_d), grvec(max_d)
  REAL(p), SAVE:: us_n(max_n), ust_n(max_n), &
    nloadbb_n(max_n)
  REAL(p), SAVE:: sts_e_i(max_e, n_int_es), stst_e_i(max_e, n_int_es), &
    iso_hp_e_i(max_e, n_int_es), iso_hpt_e_i(max_e, n_int_es)
!
END MODULE common
