PROGRAM tsa1d
!----------------------------------------------------------------------------------------
! S͈ꎟLvf
! yiF3ߓ_vf
! Copyright: Ryosuke Uzuoka, 13 May 2009
!----------------------------------------------------------------------------------------
! t@C\
! @ 1: ̓f[^t@C
!      2: o̓t@C
!      4: o̓t@CifobOpj
!      7: X^[gt@Cíj
!      8: X^[gt@Ciój
!----------------------------------------------------------------------------------------
  USE common
  IMPLICIT NONE
  INTEGER:: anode, bnode
  INTEGER:: lstflag
  INTEGER:: i,j,k,l,m,n,n_int_e
  REAL(p):: norm, norm0
  CHARACTER(LEN=80):: filename
  CHARACTER(LEN=80):: casename
  CHARACTER(LEN=24) :: date
!
!--- ϐ̏
  n_mat=0; n_node=0; n_elem=0
  n_bcs=0; n_nload=0
  n_step=0
  er_tol=0.0_p
  reflag=0
!
!--- t@C̃I[v
  WRITE(*, '(A)') "̓f[^t@C̖O͂ĂD"
  READ(*, '(A)') filename
  OPEN(1, FILE=filename, STATUS='OLD')
!
  WRITE(*, '(A)') "P[X͂ĂD"
  READ(*, '(A)') casename
  OPEN(2, FILE = TRIM(casename)//".lst")
  OPEN(4, FILE = TRIM(casename)//".dbg")
  OPEN(8, FILE = TRIM(casename)//".rst")
!
!--- {ϐ̏o
  CALL output_parameter
!
!--- {f[^̓
  CALL input_base
!
!--- ϐ̏
  type_estr_m=0; n_prop_base=0; n_prop_estr=0 
  prop_base_m=0.0_p; prop_estr_m=0.0_p
  body=0.0_p; coord_n=0.0_p
  mat_e=0; node_e=0; bcs_n=0
  lcs_n=0; nload_n=0.0_p
  nloadbb_n=0.0_p
  dof_ns=0 
  n_dof=0
!
!--- ޗf[^̓
  CALL input_mat
!
!--- 􉽃f[^̓
  CALL input_geom
!
!--- ̗͂̓
  CALL input_body
!
!--- l̓
  us_n=0.0_p; ust_n=0.0_p 
  sts_e_i=0.0_p; stst_e_i=0.0_p
  iso_hp_e_i=0.0_p; iso_hpt_e_i=0.0_p
!
!--- X^[g̏l̓
  IF(reflag == 1) CALL input_rest
!
!--- {E̓
  CALL input_bbc
!
!--- RE̓
  CALL input_nbc
!
!--- ϐ1XebvO̒l̐ݒiԁj
  ust_n(1:n_node)=us_n(1:n_node)
  stst_e_i(1:n_elem,1:n_int_es)=sts_e_i(1:n_elem,1:n_int_es)
  iso_hpt_e_i(1:n_elem,1:n_int_es)=iso_hp_e_i(1:n_elem,1:n_int_es)
!
!--- Rxԍ̐ݒ
  CALL set_dof
!
!--- l̏o
  istep=0; iiter=0; norm=0.0_p; lstflag=0
  CALL output_step(norm)
  CALL output_n(lstflag)
  CALL output_is(lstflag)
!
!
!====================================================================
!=== Xebv̌vZ
!====================================================================
  step: DO istep=1,n_step
!
!--- ̗͂̐ݒ
    CALL set_body
!
    norm0=0.0_p
!====================================================================
!=== Newton-Raphson@ɂ锽vZCJԂiiter
!====================================================================
    iteration: DO iiter=1,max_iter
      gtmat=0.0_p
      grvec=0.0_p
!
      nloadbb_n=0.0_p
!
!--- REł̐ߓ_l̐ݒ
      CALL set_nvalue_nb
!
!====================================================================
!=== vfielem̌vZ
!====================================================================
      elem: DO ielem=1,n_elem
!
!====================================================================
!=== ϕ_iintpł̌vZ ߓ_a: yi, ߓ_b: yi
!====================================================================
        n_int_e=n_int_es
        intp: DO iintp=1,n_int_e
!
!--- ƓYϕ_̍Wяd݂̐ݒ
          CALL set_initial_i
          CALL set_lcoord_weight(n_int_e)
!
!--- ϕ_ł̉^яԕϐ̌vZ
          CALL cal_kinematic_var
          CALL cal_state_var
!
!--- ϕ_ł̉͂̌vZƕۑpϐւ̋L
          CALL cal_stress
!          CALL cal_stress1
!          CALL set_sts_vec
!
!--- ߓ_aѐߓ_bɑ΂dndzƌ`֐̌vZ
          CALL cal_dndz(n_node_es,dnadzs_i)
          CALL cal_shape(n_node_es,shapeas_i)
          dnbdzs_i(1:n_node_es)=dnadzs_i(1:n_node_es)
!
!--- RrǍvZ
          CALL cal_jac(n_node_es)
!
!--- ߓ_a:anodeɑ΂vZ
          as: DO anode=1,n_node_es
!
!--- ߓ_a:anodeɑ΂r^s̎čvZ
            CALL cal_rvec_rs(anode)
!
!--- ߓ_a:anode̐ߓ_b:bnodeɑ΂ڐW̌vZ
            asbs: DO bnode=1,n_node_es
              CALL cal_tmat_drsdus(anode,bnode)
            END DO asbs
          END DO as
        END DO intp
!
      END DO elem
!
!
!--- c̃m̌vZƎ
!
      norm=0.0_p
      norm=SQRT(DOT_PRODUCT(grvec,grvec))
      IF(iiter==1) norm0=norm
      IF(ABS(norm0) < zero) norm0=1.0_p
      WRITE(2,'(A,I10,2X,2E15.5)') "iiter norm norm/norm0: ", iiter-1, norm, norm/norm0
      IF(norm<er_tol) EXIT
!
!
!--- `̋
      CALL cal_sol_gauss
!
!--- ݂̕ϐliCqǰvZ
      CALL cal_corrector
!
!
      IF(iiter == max_iter) THEN
        WRITE(2,'(A)') "!!! Not converged !!!"
        lstflag=0
        CALL output_step(norm)
        CALL output_n(lstflag)
        CALL output_is(lstflag)
        DO j=1,n_node
          IF(dof_ns(j) /= 0) &
          WRITE(2,'(A,2I10,E15.5)') "inode, dof_ns, grvec: ", &
            j,dof_ns(j),grvec(dof_ns(j))
        END DO
        STOP
      END IF
!
    END DO iteration
!
!
!--- o͗ptbOlstflaǧvZ
    lstflag=0
!
!--- Ǝc̃m̏o
    CALL output_step(norm)
!
!--- ߓ_l̏o
    CALL output_n(lstflag)
!
!--- ϕ_l̏o
    CALL output_is(lstflag)
!    CALL output_e(lstflag)
!
!
!--- OXebvł̕ϐl̐ݒ
    ust_n(1:n_node)=us_n(1:n_node)
    stst_e_i(1:n_elem,1:n_int_es)=sts_e_i(1:n_elem,1:n_int_es)
    iso_hpt_e_i(1:n_elem,1:n_int_es)=iso_hp_e_i(1:n_elem,1:n_int_es)
!
  END DO step
!
!--- X^[gpf[^̏o
  CALL output_rest
!
  CALL fdate(date)
  WRITE(2,'(/,A,24A)') "Normal end of calculation at ", date
!
!  STOP
END PROGRAM tsa1d
