!====================================================================
SUBROUTINE output_e(lstflag)
  USE common
  IMPLICIT NONE
  INTEGER:: i, j
  INTEGER:: lstflag, n_out_e
  REAL(p):: x_e(1:n_node_es), shape_i(1:n_node_es), &
            coord_i, lamda, us_i
!
!*** vfł̉l̏o
  IF(lstflag == 0) THEN
    WRITE(2,'(/,A)') "vfł̉l̏o"
    WRITE(2,'(A)') "         i  mat estr iintp   &
                    &coord_i        sts_i          stn_i          &
                    &us_i           dens_mix_i     poro_i"
  END IF
!
  n_out_e=11
  DO ielem=1,n_elem
    DO iintp=1,n_out_e
      CALL set_initial_i
!
      lcoord_i=-1.0_p+REAL(iintp-1)/REAL(n_out_e-1)*2.0_p
      CALL cal_kinematic_var
      CALL cal_state_var
!
!*** ϕ_̑S̍Wl̐ݒ
      shape_i=0.0_p; x_e=0.0_p; coord_i=0.0_p
      CALL cal_shape(n_node_es,shape_i)
      x_e(1:n_node_es)=coord_n(node_e(ielem,1:n_node_es))
      coord_i= &
      DOT_PRODUCT(shape_i(1:n_node_es),x_e(1:n_node_es))
!
!*** ϕ_̕ψʂ̐ݒ
      x_e=0.0_p; us_i=0.0_p
      x_e(1:n_node_es)=us_n(node_e(ielem,1:n_node_es))
      us_i= &
      DOT_PRODUCT(shape_i(1:n_node_es),x_e(1:n_node_es))
!
!*** ϕ_̉͂̐ݒ
      lamda=prop_estr_m(mat_e(ielem),1)
      sts_i= lamda*stn_i
!
      IF(lstflag == 0) WRITE(2,'(I10,3I5,6E15.5)') &
      ielem, mat_e(ielem), &
      type_estr_m(mat_e(ielem)), iintp, &
      coord_i, sts_i, stn_i, &
      us_i, dens_mix_i, poro_i
!
    END DO
  END DO
!
END SUBROUTINE output_e
!====================================================================
SUBROUTINE output_is(lstflag)
  USE common
  IMPLICIT NONE
  INTEGER:: i, j
  INTEGER:: lstflag
  REAL(p):: coord_e(1:n_node_es), shape_i(1:n_node_es), &
            coord_i
!
!*** yi̐ϕ_ł̉l̏o
  IF(lstflag == 0) THEN
    WRITE(2,'(/,A)') "yi̐ϕ_ł̉l̏o"
    WRITE(2,'(A)') "         i  mat estr iintp   &
                    &coord_i        sts_i          stn_i          &
                    &dens_mix_i     poro_i         iso_hp_i"
  END IF
!
  DO ielem=1,n_elem
    DO iintp=1,n_int_es
      CALL set_initial_i
      CALL set_lcoord_weight(n_int_es)
      CALL cal_kinematic_var
      CALL cal_state_var
!
!*** ϕ_̉͂̐ݒ
!      CALL cal_stress1
      sts_i=sts_e_i(ielem,iintp)
!
!*** ϕ_̈~͂̐ݒ
      iso_hp_i=iso_hp_e_i(ielem,iintp)
!
!*** ϕ_̑S̍Wl̐ݒ
      shape_i=0.0_p; coord_e=0.0_p; coord_i=0.0_p
      CALL cal_shape(n_node_es,shape_i)
      coord_e(1:n_node_es)=coord_n(node_e(ielem,1:n_node_es))
      coord_i= &
      DOT_PRODUCT(shape_i(1:n_node_es),coord_e(1:n_node_es))
!
      IF(lstflag == 0) WRITE(2,'(I10,3I5,6E15.5)') &
      ielem, mat_e(ielem), &
      type_estr_m(mat_e(ielem)), iintp, &
      coord_i, sts_i, stn_i, &
      dens_mix_i, poro_i, iso_hp_i
!
    END DO
  END DO
!
END SUBROUTINE output_is
!====================================================================
SUBROUTINE output_n(lstflag)
  USE common
  IMPLICIT NONE
  INTEGER:: i, j
  INTEGER:: lstflag
!
!--- yi̐ߓ_ł̉l̏o
  IF(lstflag == 0) THEN
    WRITE(2,'(/,A)') "yi̐ߓ_ł̉l"
    WRITE(2,'(A)') "         i    &
                    &coordinate     displacement   nodal force"
  END IF
!
  DO i=1,n_node
    IF(lstflag == 0) WRITE(2,'(I10,3E15.5)') &
      i,coord_n(i),us_n(i),nloadbb_n(i)
  END DO
!
!--- Cӂ̐ߓ_ł̎̏o
  i=41
  WRITE(4,'(I10,I10,3E15.5)') istep, &
    i,coord_n(i),us_n(i),nloadbb_n(i)
!
END SUBROUTINE output_n
!====================================================================
SUBROUTINE output_parameter
  USE common
  IMPLICIT NONE
!
!--- Œϐ̏o
  WRITE(2,'(A,5I5)') &
  "n_node_es, n_int_es: ", &
    n_node_es, n_int_es
!
END SUBROUTINE output_parameter
!====================================================================
SUBROUTINE output_rest
  USE common
  IMPLICIT NONE
!
  WRITE(8,*) coord_n(1:n_node), &
  us_n(1:n_node), &
  sts_e_i(1:n_elem,1:n_int_es), &
  iso_hp_e_i(1:n_elem,1:n_int_es)
!
END SUBROUTINE output_rest
!====================================================================
SUBROUTINE output_step(norm)
  USE common
  IMPLICIT NONE
  REAL(p):: norm
!
  WRITE(2,'(/,A,I10)') "JԂ: ", iiter-1 
  WRITE(2,'(A,E15.5)') "cxNg̃m: ", norm
  WRITE(2,'(A,I10)') "o̓Xebv: ",istep
!
END SUBROUTINE output_step

